Package opennlp.tools.util

## Class TokenTag

- java.lang.Object
- - opennlp.tools.util.TokenTag

-     public class TokenTag
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TokenTag​(String token, String tag, String[] additionalData)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TokenTag[]` | `create​(String[] toks, String[] tags)` |
    `boolean` | `equals​(Object o)` |
    `static String[]` | `extractTags​(TokenTag[] tuples)` |
    `static String[]` | `extractTokens​(TokenTag[] tuples)` |
    `String[]` | `getAdditionalData()` |
    `String` | `getTag()` |
    `String` | `getToken()` |
    `int` | `hashCode()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TokenTag

          public TokenTag​(String token,
                          String tag,
                          String[] additionalData)

  - ### Method Detail

    - #### getToken

          public String getToken()

    - #### getTag

          public String getTag()

    - #### getAdditionalData

          public String[] getAdditionalData()

    - #### extractTokens

          public static String[] extractTokens​(TokenTag[] tuples)

    - #### extractTags

          public static String[] extractTags​(TokenTag[] tuples)

    - #### create

          public static TokenTag[] create​(String[] toks,
                                          String[] tags)

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`